//
//  RecoveryDef.h
//  RecoveRx
//
//  Created by Sendoh Chen on 2014/7/10.
//
//

#ifndef RecoveRx_RecoveryDef_h
#define RecoveRx_RecoveryDef_h

// Command
#define RECOVERY_REQUEST "RecoveryRequest"
#define RECOVERY_RESPONSE "RecoveryResponse"
#define RECOVERY_RESPONSE_SUCCESS "RecoveryResponseSuccess"
#define RECOVERY_RESPONSE_FAIL "RecoveryResponseFail"

#define RECOVERY_START "RecoveryStart"
#define RECOVERY_PAUSE "RecoveryPause"
#define RECOVERY_STOP "RecoveryStop"

// Parameter
#define RECOVERY_DISK_NAME "RecoveryDiskName"
#define RECOVERY_PART_NUM "RecoveryPartNum"
#define RECOVERY_PATH "RecoveryPath"
#define RECOVERY_TYPE "RecoveryType"

#define RECOVERY_PROGRESS "RecoveryProgress"
#define RECOVERY_SECTOR "RecoverySector"
#define RECOVERY_ELAPSEDTIME "RecoveryElapsedTime"
#define RECOVERY_ESTIMATEDTIMELEFT "RecoveryEstimatedTimeLeft"
#define RECOVERY_FILEFOUND "RecoveryFileFound"
#define RECOVERY_FILERECOVEREDSTR "RecoveryFileRecoveredStr"
#define RECOVERY_FILERECOVEREDNUM "RecoveryFileRecoveredNum"

#define RECOVERY_FINISH "RecoveryFinish"
#define RECOVERY_FINISH_OK "RecoveryFinishOk"
#define RECOVERY_FINISH_STOP "RecoveryFinishAborted"
#define RECOVERY_FINISH_EACCES "RecoveryFinishNotAccess"
#define RECOVERY_FINISH_ENOSPC "RecoveryFinishNoSpace"

#endif
